Package mpi

# Class UserFunction

java.lang.Object
mpi.UserFunction

public abstract class UserFunction extends Object
Java equivalent of the `MPI_USER_FUNCTION`.

## Constructor Summary

Constructors
Constructor
Description
`UserFunction()`

## Method Summary

Modifier and Type
Method
Description
`void`
`call(Object inVec, Object inOutVec, int count, Datatype datatype)`
User-defined function for a new `Op`.
`void`
`call(ByteBuffer in, ByteBuffer inOut, int count, Datatype datatype)`
User-defined function for a new `Op`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UserFunction

public UserFunction()

## Method Details

### call

public void call(Object inVec, Object inOutVec, int count, Datatype datatype) throws MPIException
User-defined function for a new `Op`.

Parameters:
  `inVec` - array of values to combine with `inoutvec` elements
  `inOutVec` - in-out array of accumulator locations
  `count` - number of items in arrays
  `datatype` - type of each item
Throws:
  `MPIException` - Signals that an MPI exception of some sort has occurred.

### call

public void call(ByteBuffer in, ByteBuffer inOut, int count, Datatype datatype) throws MPIException
User-defined function for a new `Op`.

Parameters:
  `in` - direct byte buffer to combine with `inOut` buffer
  `inOut` - in-out direct byte buffer of accumulator locations
  `count` - number of items in buffers
  `datatype` - type of each item
Throws:
  `MPIException` - Signals that an MPI exception of some sort has occurred.